Bug 865668 - mvn zanata:push -Dzanata.pushType=trans tries to delete obsolete source documents
mvn zanata:push -Dzanata.pushType=trans tries to delete obsolete source docum...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Maven (Show other bugs)
1.7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.0
Assigned To: Sean Flanigan
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 01:25 EDT by Sean Flanigan
Modified: 2013-02-27 03:10 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.7.4-SNAPSHOT (20121019-0015)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-27 03:10:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sean Flanigan 2012-10-12 01:25:50 EDT
Description of problem:
Client attempts to delete source documents when pushType is "translations only".

Version-Release number of selected component (if applicable):
1.7.1

How reproducible:
100%

Steps to Reproduce:
1. Create a source document, push to zanata
2. Delete source document
3. mvn zanata:push -Dzanata.pushType=trans
  
Actual results:
Deletes document from server if user has required security permissions (project maintainer/admin).  Otherwise, a 401 error is returned.

Expected results:
Any other documents pushed, obsolete document ignored.
Comment 2 Sean Flanigan 2012-10-12 02:44:51 EDT
Fixed in release (client 1.7.4-SNAPSHOT): https://github.com/zanata/zanata-client/commit/0bfdb2f46bca63cb79bd4482fd3ca8ed49addb48

In integration/master (client 1.8.0-SNAPSHOT): https://github.com/zanata/zanata-client/commit/67adb17600fa6537178763c92b0c07f867544a31
Comment 6 Ding-Yi Chen 2012-10-19 04:15:53 EDT
VERIFIED with 
[INFO] client API version: 1.8.0-SNAPSHOT, server API version: 1.8.0-SNAPSHOT
on Zanata version 1.8.0-SNAPSHOT (20121019-0031)


client API version is 1.7,2, but server API version is 1.7.1-SNAPSHOT 
on Zanata version 1.7.4-SNAPSHOT (20121019-0015)

Note You need to log in before you can comment on or make changes to this bug.